curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/sessions/{session_id}/completions/{completion_id}/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eval_types": "all"
}
'{}Queue all configured evaluations to run against a specific completion. Evaluations are executed asynchronously.
Use the eval_types field to control which evaluations run:
all (default): Run both LLM-as-judge and code evaluationsllm-as-judge: Run only LLM-based evaluationscode: Run only code-based evaluationscurl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/sessions/{session_id}/completions/{completion_id}/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eval_types": "all"
}
'{}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
all, llm-as-judge, code EmptyResponse()
The response is of type EmptyResponse · object.